Event history
POST
Returns the event history in ascending order, paged, from ledger begin or optionally starting after a record time. An event bears some combination of a transaction, a contract reassignment, and a verdict. Events are ordered lexicographically by
(migration id, record time). For a given migration id, each event has a unique record time.
Protocol Details
Inputs
Request body
application/json
object
OpenAPI type:
UpdateHistoryRequestAfter.number
required
OpenAPI type:
integer (int32).The maximum number of events returned for this request.object
OpenAPI type:
DamlValueEncoding.How daml values should be encoded in the response. “compact_json” is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. “protobuf_json” is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to “compact_json”.Outputs
200
application/json
EventHistoryItem[]
required
400
application/json
string
required
500
application/json
string
required
History
Changed
0.6.10The POST /v0/events operation changed in this snapshot.
Changed
0.6.0The POST /v0/events operation changed in this snapshot.
Changed
0.5.17The POST /v0/events operation changed in this snapshot.
Changed
0.5.15The POST /v0/events operation changed in this snapshot.
Introduced
0.5.10